## kodi 15.2%2Bdfsg1

=== xbmc/interfaces/json-rpc/Makefile ===
SRCS=AddonsOperations.cpp \
     ApplicationOperations.cpp \
     AudioLibrary.cpp \
     FavouritesOperations.cpp \
     FileItemHandler.cpp \
     FileOperations.cpp \
     GUIOperations.cpp \
     InputOperations.cpp \
     JSONRPC.cpp \
     JSONServiceDescription.cpp \
     PlayerOperations.cpp \
     PlaylistOperations.cpp \
     ProfilesOperations.cpp \
     PVROperations.cpp \
     SettingsOperations.cpp \
     SystemOperations.cpp \
     TextureOperations.cpp \
     VideoLibrary.cpp \
     XBMCOperations.cpp \

LIB=json-rpc.a

GENERATED_JSON = ServiceDescription.h
GENERATED_ADDON_JSON = ../../../addons/xbmc.json/addon.xml
JSON_VERSION_SRC = schema/version.txt
JSON_SRC =  $(JSON_VERSION_SRC) schema/license.txt schema/methods.json schema/types.json schema/notifications.json

all: $(GENERATED_JSON) $(GENERATED_ADDON_JSON) $(LIB)

-include ../../../Makefile.include
ifeq ($(wildcard $(JSON_BUILDER)),)
  JSON_BUILDER = $(shell which JsonSchemaBuilder)
ifeq ($(JSON_BUILDER),)
  JSON_BUILDER = ../../../tools/depends/native/JsonSchemaBuilder/bin/JsonSchemaBuilder
endif
endif

$(GENERATED_JSON): $(JSON_SRC)
	$(JSON_BUILDER) $(JSON_SRC)

.PHONY: $(notdir $(GENERATED_ADDON_JSON))
$(notdir $(GENERATED_ADDON_JSON)): $(GENERATED_ADDON_JSON)

$(GENERATED_ADDON_JSON): $(JSON_VERSION_SRC)
	sed s/@jsonrpc_version@/`cat $(JSON_VERSION_SRC)`/g $@.in > $@

-include $(patsubst %.cpp,%.P,$(patsubst %.c,%.P,$(SRCS)))

=== xbmc/music/tags/Makefile ===
SRCS=\
     MusicInfoTag.cpp \
     MusicInfoTagLoaderCDDA.cpp \
     MusicInfoTagLoaderDatabase.cpp \
     MusicInfoTagLoaderFactory.cpp \
     MusicInfoTagLoaderShn.cpp \
     TagLoaderTagLib.cpp \
     TagLibVFSStream.cpp \
     ReplayGain.cpp \

LIB=musictags.a

include ../../../Makefile.include
-include $(patsubst %.cpp,%.P,$(patsubst %.c,%.P,$(SRCS)))

=== xbmc/pvr/dialogs/Makefile ===
SRCS=GUIDialogPVRChannelManager.cpp \
     GUIDialogPVRChannelsOSD.cpp \
     GUIDialogPVRGroupManager.cpp \
     GUIDialogPVRGuideInfo.cpp \
     GUIDialogPVRGuideOSD.cpp \
     GUIDialogPVRGuideSearch.cpp \
     GUIDialogPVRRecordingInfo.cpp \
     GUIDialogPVRTimerSettings.cpp

LIB=pvrdialogs.a

include ../../../Makefile.include
-include $(patsubst %.cpp,%.P,$(patsubst %.c,%.P,$(SRCS)))

=== xbmc/windowing/X11/Makefile ===
SRCS=WinSystemX11.cpp \
     WinSystemX11GL.cpp \
     WinSystemX11GLES.cpp \
     XRandR.cpp \
     
LIB=windowing_X11.a

include ../../../Makefile.include
-include $(patsubst %.cpp,%.P,$(patsubst %.c,%.P,$(SRCS)))

=== project/cmake/addons/depends/CMakeLists.txt ===
project(kodi-addons-depends)

cmake_minimum_required(VERSION 2.8)

list(APPEND CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR})

if(NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE Release)
endif()

if(NOT CORE_SYSTEM_NAME)
  string(TOLOWER ${CMAKE_SYSTEM_NAME} CORE_SYSTEM_NAME)
endif()

include(ExternalProject)

if(NOT DEPENDS_PATH)
  set(DEPENDS_PATH ${PROJECT_SOURCE_DIR}/../build/depends)
else()
  file(TO_CMAKE_PATH "${DEPENDS_PATH}" DEPENDS_PATH)
endif()
get_filename_component(DEPENDS_PATH "${DEPENDS_PATH}" ABSOLUTE)
list(APPEND CMAKE_PREFIX_PATH ${DEPENDS_PATH})

if(NOT BUILD_DIR)
    set(BUILD_DIR "${CMAKE_BINARY_DIR}/build")
else()
  file(TO_CMAKE_PATH "${BUILD_DIR}" BUILD_DIR)
endif()
get_filename_component(BUILD_DIR "${BUILD_DIR}" ABSOLUTE)

## use add_addon_depends to handle the cmake based dependencies
include(${APP_ROOT}/project/cmake/scripts/common/handle-depends.cmake)
add_addon_depends(depends "${PROJECT_SOURCE_DIR}")

## if there's a platform-specific sub-directory containing a CMakeLists.txt, add it to the build as well
if(EXISTS ${PROJECT_SOURCE_DIR}/${CORE_SYSTEM_NAME}/CMakeLists.txt)
  message(STATUS "Processing ${CORE_SYSTEM_NAME}")
  add_subdirectory(${CORE_SYSTEM_NAME})
else()
  message(STATUS "No platform specific file ${PROJECT_SOURCE_DIR}/${CORE_SYSTEM_NAME}/CMakeLists.txt found")
endif()

=== tools/depends/native/giflib-native/Makefile ===
include ../../Makefile.include
DEPS= ../../Makefile.include Makefile
PREFIX=$(NATIVEPREFIX)
PLATFORM=$(NATIVEPLATFORM)

# lib name, version
LIBNAME=giflib
VERSION=5.0.5
SOURCE=$(LIBNAME)-$(VERSION)
ARCHIVE=$(SOURCE).tar.bz2

# configuration settings
CONFIGURE=./configure --prefix=$(PREFIX)

LIBDYLIB=$(PLATFORM)/lib/.libs/libgif.a

CLEAN_FILES=$(ARCHIVE) $(PLATFORM)

all: .installed-$(PLATFORM)

$(TARBALLS_LOCATION)/$(ARCHIVE):
	cd $(TARBALLS_LOCATION); $(RETRIEVE_TOOL) $(RETRIEVE_TOOL_FLAGS) $(BASE_URL)/$(ARCHIVE)

$(PLATFORM): $(TARBALLS_LOCATION)/$(ARCHIVE) $(DEPS)
	-rm -rf $(PLATFORM); mkdir -p $(PLATFORM)
	cd $(PLATFORM); $(ARCHIVE_TOOL) $(ARCHIVE_TOOL_FLAGS) $(TARBALLS_LOCATION)/$(ARCHIVE)
	cd $(PLATFORM); $(CONFIGURE)

$(LIBDYLIB): $(PLATFORM)
	$(MAKE) -C $(PLATFORM)

.installed-$(PLATFORM): $(LIBDYLIB)
	$(MAKE) -C $(PLATFORM) install
	touch $@
clean:
	$(MAKE) -C $(PLATFORM) clean
	rm -r .installed-$(PLATFORM)
	rm -rf $(PLATFORM)

distclean::
	rm -rf $(PLATFORM) .installed-$(PLATFORM)

=== project/cmake/addons/depends/windows/CMakeLists.txt ===
project(kodi-addons-depends-windows)

cmake_minimum_required(VERSION 2.8)

list(APPEND CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR})

if(NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE Release)
endif()

include(ExternalProject)

if(NOT DEPENDS_PATH)
  message(FATAL_ERROR "DEPENDS_PATH (${DEPENDS_PATH}) is not a valid target directory.")
else()
  file(TO_CMAKE_PATH "${DEPENDS_PATH}" DEPENDS_PATH)
endif()
get_filename_component(DEPENDS_PATH "${DEPENDS_PATH}" ABSOLUTE)
list(APPEND CMAKE_PREFIX_PATH ${DEPENDS_PATH})

if(NOT DEPENDS_TO_BUILD)
  set(DEPENDS_TO_BUILD "all")
endif()

function(add_internal id url inputfile)
  externalproject_add(${id}
                      URL ${url}
                      PREFIX build/${id}
                      CONFIGURE_COMMAND ""
                      BUILD_COMMAND ""
                      INSTALL_COMMAND ${CMAKE_COMMAND}
                                      -DINPUTDIR=${PROJECT_BINARY_DIR}/build/${id}/src/${id}
                                      -DINPUTFILE=${inputfile}
                                      -DDESTDIR=${DEPENDS_PATH}
                                      -P ${PROJECT_SOURCE_DIR}/install.cmake
                     )
endfunction()

#find_package(7Zip REQUIRED)

file(GLOB_RECURSE download_input_files prebuilt/*.txt)
foreach(file ${download_input_files})
  if(NOT file MATCHES install.txt)
    file(STRINGS ${file} def)
    get_filename_component(dir ${file} PATH)
    separate_arguments(def)
    list(GET def 0 id)

    list(FIND DEPENDS_TO_BUILD ${id} idx)
    if(idx GREATER -1 OR DEPENDS_TO_BUILD STREQUAL "all")
      list(GET def 1 url)
      add_internal(${id} ${url} ${dir}/install.txt)
    endif()
  endif()
endforeach()

=== project/cmake/addons/depends/common/tinyxml/CMakeLists.txt ===
project(tinyxml)

cmake_minimum_required(VERSION 2.8)

set(SOURCES src/tinystr.cpp
            src/tinyxml.cpp
            src/tinyxmlerror.cpp
            src/tinyxmlparser.cpp)

if(WIN32)
  add_definitions(-DWIN32 -D_LIB)
endif()
add_definitions(-DTIXML_USE_STL)

add_library(tinyxml ${SOURCES})

include_directories(${PROJECT_SOURCE_DIR}/include)

set(HEADERS ${PROJECT_SOURCE_DIR}/include/tinystr.h
            ${PROJECT_SOURCE_DIR}/include/tinyxml.h)

install(FILES ${HEADERS} DESTINATION ${CMAKE_INSTALL_PREFIX}/include)
install(TARGETS tinyxml DESTINATION ${CMAKE_INSTALL_PREFIX}/lib)

## kodi 15.1+dfsg1

=== debian/changelog ===
kodi (15.1+dfsg1-3) unstable; urgency=medium

  * Make configure more verbose when building on architecture not supported
    by upstream
  * Fix FTBFS on aarch64 (Closes: #796532)
  * Don't use NEON on arm/armhf. (Closes: #797204)
  * Fix build on s390x

 -- Balint Reczey <balint@balintreczey.hu>  Sun, 30 Aug 2015 10:20:07 +0200

kodi (15.1+dfsg1-2) unstable; urgency=medium

  * Don't stop configuration for unknown architectures
  * Drop unknown ./configure options
  * Continue configuration for unknown arches even further (Closes: #790635)
  * Link with libatomic to fix FTBFS on powerpc and some other architectures
  * Fix broken symlinks to DejaVuSans font files

 -- Balint Reczey <balint@balintreczey.hu>  Tue, 18 Aug 2015 23:51:14 +0200

kodi (15.1+dfsg1-1) unstable; urgency=medium

  * New upstream release 15.0
    See http://www.kodi.tv/kodi-15-0-isengard-one-release-to-rule-them-all/
  * Depend on libav.*-dev provided by src:ffmpeg
  * Recommend udisks2 instead of udisks.
    Udisks has been removed from unstable but support for udisks2 is not
    implemented yet.
  * Ship patch helping Jessie backports
  * Refresh patches
  * Eliminate __DATE__ macros from source to make build more reproducible
  * Build-depend on libsdl2.*-dev instead of libsdl.*-dev
  * Build-depend on libgif-dev
  * Drop obsoleted fix of installed header's include paths
  * Refresh include file list included by kodi-addons-dev
  * Build depend on libcec (>= 3)
  * Build-depend on groovy2 instead of groovy
  * Sort build dependencies
  * Fix packaging repository URL
  * Remove removed files from debian/copyright
  * Fix filenames with spaces in debian/copyright
  * Ship TexturePacker in kodi-addons-dev in /usr/lib/kodi
  * Build depend on libcec-platform-dev
  * Stop using embedded gnulib modules in rsxs screensaver (Closes: #795813)
  * Add missing copyright paragraphs to d/copyright
  * Stop marking files as excluded which are removed from upstream tarball
    already
  * Bump standards version to 3.9.6
  * New upstream release 15.1
    See http://kodi.tv/kodi-15-1-isengard-maintenance-release/
  * Move TexturePacker to kodi-bin
  * Stop building TexturePacker statically

 -- Balint Reczey <balint@balintreczey.hu>  Tue, 18 Aug 2015 14:16:59 +0200

kodi (14.2+dfsg1-2) unstable; urgency=medium

  * Recommend udisks (Closes: #787293)

 -- Balint Reczey <balint@balintreczey.hu>  Thu, 04 Jun 2015 09:39:30 +0200

kodi (14.2+dfsg1-1) experimental; urgency=medium

  * Fix addon shared library naming on MIPS
  * Drop non-machine-readable parts of debian/copyright
  * Generate machine-readable debian/copyright for all files
  * Clean up generated debian/copyright
  * Remove non-free files in d/copyright
  * Fix debian/watch file
  * Update debian/copyright with new removals
  * Drop get-orig-source target from d/rules.
    Use uscan for generating repacked original tarball.
  * Imported Upstream version 14.1+dfsg1
    http://kodi.tv/kodi-14-1-helix-bugfix-release
  * Copyright updates
  * Use avformat_flush(), it is now exported by FFmpeg
  * Stop using files omitted from DFSG-free tarballs
  * Sort filenames omitted from original tarball
  * Omit embedded Boost header from original tarball
  * Download original tarball from GitHub
  * Imported Upstream version 14.2+dfsg1
    http://kodi.tv/kodi-14-2-helix-the-final-translation

 -- Balint Reczey <balint@balintreczey.hu>  Sat, 17 Jan 2015 00:30:36 +0100

kodi (14.0+dfsg1-1) experimental; urgency=medium

  * New upstream release 14.0
    See http://kodi.tv/kodi-14-0-helix-unwinds
  * Refresh patches
  * Generate "from Debian" logo from SVG

 -- Balint Reczey <balint@balintreczey.hu>  Fri, 02 Jan 2015 13:19:52 +0100

kodi (14.0~beta1+dfsg1-1) experimental; urgency=medium

  * First packaged Kodi version based on xbmc 2:13.2+dfsg1-4
    See http://kodi.tv/introducing-kodi-14 for the rationale behind the
    name change (Closes: #767180)
  * Use packaged FFmpeg
  * Stop using internal ffmpeg functions
  * Build-depend on libcec-dev >= 2.2
  * Add upstream patches for fixing suspend and adding MIPS support

 -- Balint Reczey <balint@balintreczey.hu>  Sat, 08 Nov 2014 11:14:40 +0100

=== debian/control ===
Source: kodi
Section: video
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Balint Reczey <balint@balintreczey.hu>
Build-Depends: autoconf,
 automake,
 autopoint,
 autotools-dev,
 cmake,
 curl,
 debhelper (>= 9~),
 default-jre,
 dh-autoreconf,
 dh-python,
 doxygen,
 fontforge,
 fonts-dejavu-core,
 fonts-droid,
 gawk,
 gperf,
 groovy2,
 inkscape,
 libasound2-dev | libasound-dev,
 libass-dev (>= 0.9.8),
 libavahi-client-dev,
 libavahi-common-dev,
 libavcodec-dev (>= 7:2.7.1),
 libavfilter-dev (>= 7:2.7.1),
 libavformat-dev (>= 7:2.7.1),
 libavresample-dev (>= 7:2.7.1),
 libavutil-dev (>= 7:2.7.1),
 libbluetooth-dev,
 libbluray-dev,
 libboost-dev,
 libboost-thread-dev,
 libbz2-dev,
 libcap-dev,
 libcdio-dev,
 libcec-dev (>= 3),
 libcec-platform-dev,
 libcommons-lang-java,
 libcrystalhd-dev [i386 amd64],
 libcurl4-gnutls-dev | libcurl-dev,
 libcwiid-dev [linux-any],
 libdbus-1-dev,
 libdvdnav-dev,
 libdvdread-dev,
 libenca-dev,
 libflac-dev,
 libfontconfig-dev,
 libfreetype6-dev,
 libfribidi-dev,
 libftgl-dev,
 libgif-dev,
 libgles2-mesa-dev [armel armhf] | libgl1-mesa-dev | libgl-dev,
 libglew-dev,
 libglu1-mesa-dev | libglu-dev,
 libhdhomerun-dev,
 libiso9660-dev,
 libjasper-dev,
 libjpeg-dev,
 libltdl-dev,
 liblzo2-dev,
 libmad0-dev,
 libmicrohttpd-dev,
 libmodplug-dev,
 libmp3lame-dev,
 libmpeg2-4-dev,
 libmysqlclient-dev,
 libnfs-dev,
 libogg-dev,
 libomxil-bellagio-dev [armel armhf mipsel mips],
 libpcre3-dev,
 libplist-dev,
 libpng12-dev | libpng-dev,
 libpostproc-dev (>= 7:2.7.1),
 libpulse-dev,
 librtmp-dev,
 libsamplerate-dev,
 libsdl2-dev,
 libsdl2-image-dev,
 libsdl2-mixer-dev,
 libshairport-dev,
 libsidplay2-dev,
 libsmbclient-dev,
 libsqlite3-dev,
 libssh-dev,
 libssl-dev,
 libswscale-dev (>= 7:2.7.1),
 libtag1-dev (>= 1.8),
 libtiff-dev,
 libtinyxml-dev (>= 2.6.2),
 libtool,
 libudev-dev,
 libva-dev [!armel !armhf !mipsel !mips],
 libvdpau-dev [!armel !armhf !mipsel !mips],
 libvorbis-dev,
 libxmu-dev,
 libxrandr-dev,
 libxslt1-dev,
 libxt-dev,
 libyajl-dev,
 nasm [i386],
 python-dev (>= 2.6.6-3~),
 python-imaging,
 swig,
 ttf-bitstream-vera,
 udev,
 unzip,
 yasm,
 zip,
 zlib1g-dev
Standards-Version: 3.9.6
Homepage: http://kodi.tv/
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/kodi.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/kodi.git

Package: kodi
Architecture: all
Depends: kodi-bin (>= ${source:Version}),
         kodi-bin (<< ${source:Version}.1~),
         mesa-utils,
         x11-utils,
         fonts-dejavu-core,
         fonts-roboto,
         libjs-jquery,
         libjs-iscroll,
         python-imaging,
         ${python:Depends},
         ${misc:Depends}
Provides: xbmc, xbmc-standalone, xbmc-data, xbmc-skin-confluence, xbmc-live
Replaces: xbmc, xbmc-standalone, xbmc-data, xbmc-skin-confluence, xbmc-live
Breaks: xbmc, xbmc-standalone, xbmc-data, xbmc-skin-confluence
Description: Open Source Home Theatre (arch-independent data package)
 Kodi, formerly known as XBMC is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. Kodi is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, Kodi is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to Kodi, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While Kodi functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, Kodi feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package contains all the architecture independent data needed to have a
 working Kodi.

Package: kodi-bin
Architecture: any
Depends: ${shlibs:Depends},
         ${dlopenlibs:Depends},
         ${misc:Depends}
Recommends: ${shlibs:Recommends}, udisks2
Provides: xbmc-bin, xbmc-common
Replaces: xbmc-bin, xbmc-common
Conflicts: xbmc-bin, xbmc-common, libgl1-mesa-swx11
Description: Open Source Home Theatre (binary data package)
 Kodi, formerly known as XBMC is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. Kodi is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, Kodi is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to Kodi, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While Kodi functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, Kodi feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package contains all the binary data needed to have a working Kodi.

Package: kodi-dbg
Priority: extra
Architecture: amd64 i386
Section: debug
Depends: ${misc:Depends}, kodi-bin (= ${binary:Version})
Description: Open Source Home Theatre - debug symbols
 Kodi, formerly known as XBMC is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. Kodi is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, Kodi is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to Kodi, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While Kodi functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, Kodi feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package contains debug symbols for the Kodi binary packages.


Package: kodi-eventclients-common
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Description: Open Source Home Theatre (Event Client Common package)
 Kodi, formerly known as XBMC is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. Kodi is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, Kodi is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to Kodi, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While Kodi functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, Kodi feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package is the common package for Kodi Event Client.

Package: kodi-eventclients-dev
Architecture: all
Section: libdevel
Depends: kodi-eventclients-common (= ${binary:Version}),
         ${misc:Depends}
Description: Open Source Home Theatre (Event Client Dev package)
 Kodi, formerly known as XBMC is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. Kodi is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, Kodi is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to Kodi, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While Kodi functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, Kodi feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This is the Development package for Kodi Event Client.

Package: kodi-eventclients-wiiremote
Architecture: any
Depends: kodi-eventclients-common (= ${source:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: Open Source Home Theatre (Event Client WII Remote support package)
 Kodi, formerly known as XBMC is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. Kodi is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, Kodi is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to Kodi, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While Kodi functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, Kodi feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package is the Wii Remote client package for Kodi.

Package: kodi-eventclients-j2me
Architecture: all
Depends: kodi-eventclients-common (= ${binary:Version}),
         ${python:Depends},
         python-bluez | python-lightblue,
         ${misc:Depends}
Description: Open Source Home Theatre (Event Client J2ME package)
 Kodi, formerly known as XBMC is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. Kodi is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, Kodi is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to Kodi, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While Kodi functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your

=== debian/rules ===
#!/usr/bin/make -f

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

GL_CONFIG_OPTIONS = --enable-gl --disable-gles --enable-vdpau
ARCH_SPECIFIC_LIB_RECOMMENDS_ADD = -lvdpau

# Enable gles for armel, armhf
# Also disable VDPAU and VAAPI there since they break the build with gles
ifneq (,$(filter armel armhf,$(DEB_HOST_ARCH)))
GL_CONFIG_OPTIONS = --disable-gl --enable-gles --disable-vdpau --disable-vaapi
ARCH_SPECIFIC_LIB_RECOMMENDS_ADD =
else
# Enable OpenGL but no VDPAU or VAAPI for MIPS
ifneq (,$(filter mips mipsel,$(DEB_HOST_ARCH)))
GL_CONFIG_OPTIONS = --enable-gl --disable-gles --disable-vdpau --disable-vaapi
ARCH_SPECIFIC_LIB_RECOMMENDS_ADD =
endif
endif

ARCH_SPECIFIC_LIB_RECOMMENDS += $(ARCH_SPECIFIC_LIB_RECOMMENDS_ADD)

# Various environment variables to set
DEB_CFLAGS ?=  $(shell dpkg-buildflags --get CPPFLAGS) \
  $(filter-out -g -O2, $(shell dpkg-buildflags --get CFLAGS))
DEB_CXXFLAGS ?= $(shell dpkg-buildflags --get CPPFLAGS) \
  $(filter-out -g -O2, $(shell dpkg-buildflags --get CXXFLAGS))
DEB_LDFLAGS ?= $(shell dpkg-buildflags --get LDFLAGS) $(shell pkg-config --libs ftgl) -latomic
ENV_OPTIONS = CFLAGS="$(DEB_CFLAGS)" CXXFLAGS="$(DEB_CXXFLAGS)" \
  LDFLAGS="$(DEB_LDFLAGS)"

# fall back to old location of libhdhomerun includes if needed
ifneq ("$(wildcard /usr/lib/libhdhomerun/hdhomerun.h)","")
  DEB_CXXFLAGS += -I/usr/lib/
endif

# List of options to pass to configure. Can be overridden.
# Extra options can simply be passed using KODI_CONFIG_EXTRA_OPTIONS env
# variable.
KODI_CONFIG_OPTIONS ?= --host=$(DEB_HOST_GNU_TYPE) \
  --build=$(DEB_BUILD_GNU_TYPE) \
  --prefix=/usr --docdir=/usr/share/doc/kodi \
  --enable-debug \
  $(GL_CONFIG_OPTIONS) \
  --disable-vtbdecoder \
  --disable-openmax \
  --disable-tegra \
  --disable-profiling \
  --enable-joystick \
  --enable-pulse \
  --enable-rtmp \
  --disable-mid \
  --enable-avahi \
  --disable-asap-codec \
  --enable-webserver \
  --enable-optical-drive \
  --enable-texturepacker \
  --enable-nfs \
  --enable-libcec \
  --disable-airtunes \
  --with-ffmpeg=shared \
  --disable-dependency-tracking \
  --disable-dvdcss \
  --disable-non-free \
  --disable-gtest \
  $(ARCH_SPECIFIC_OPTIONS) \
  $(KODI_CONFIG_EXTRA_OPTIONS) \
  $(ENV_OPTIONS)

# Used to show what config options are enabled
show-kodi-config-options:
	$(info $(KODI_CONFIG_OPTIONS))

%:
	dh $@ --with autoreconf --with python2 --parallel

override_dh_clean:
	dh_clean libtool xbmc/config.h xbmc/stamp-h1
	find . -name config.status -o -name config.cache -o -name config.log \
		-exec rm -f "{}" \;

# Use package's version in Kodi
VERSION := $(shell dpkg-parsechangelog | sed -n 's/^Version: \(.*\)/\1/p')

# fall back to old location of DejaVuSans.ttf if needed
ifneq ("$(wildcard /usr/share/fonts/truetype/dejavu/DejaVuSans.ttf)","")
DEJAVUSANS=/usr/share/fonts/truetype/dejavu/DejaVuSans.ttf
else
DEJAVUSANS=/usr/share/fonts/truetype/ttf-dejavu/DejaVuSans.ttf
endif

override_dh_auto_configure: configure
	sed -i 's/DEB_VERSION/"'$(VERSION)'"/' xbmc/GUIInfoManager.cpp xbmc/Application.cpp
	mkdir -p xbmc/visualizations/XBMCProjectM/libprojectM/fonts
	-ln -s /usr/share/fonts/truetype/ttf-bitstream-vera/Vera.ttf xbmc/visualizations/XBMCProjectM/libprojectM/fonts/
	-ln -s /usr/share/fonts/truetype/ttf-bitstream-vera/VeraMono.ttf xbmc/visualizations/XBMCProjectM/libprojectM/fonts/
	fontforge -script $(CURDIR)/debian/mergefonts.ff \
		/usr/share/fonts/truetype/droid/DroidSansFallbackFull.ttf \
		$(DEJAVUSANS) \
		$(CURDIR)/media/Fonts/arial.ttf
	./bootstrap
	./configure $(KODI_CONFIG_OPTIONS)
	# Add "from Debian" next to Kodi's original logo
	inkscape -z --export-png=addons/skin.confluence/media/from-debian-logo.png debian/from-debian-logo.svg

override_dh_auto_install:
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	$(MAKE) eventclients DESTDIR=$(CURDIR)/debian/tmp \
		WII_EXTRA_OPTS=-DCWIID_OLD

override_dh_install:
	dh_install -XLICENCE -XLICENSE \
		-XLicence.txt -XLicense.txt -XLiberationSans-Regular.ttf \
		-XDejaVuSans.ttf -XDejaVuSans-Bold.ttf -XLICENSE.txt \
		-XRoboto-Bold.ttf -XRoboto-Regular.ttf -XNOTICE.txt \
		-Xjquery-1.8.2.min.js -Xiscroll-min.js

override_dh_makeshlibs:
	# We don't install shared libraries in standard locations so don't run
	# dh_makeshlibs
	# OTOH we need to remove exec flag after dh_strip
	chmod -x $(CURDIR)/debian/tmp/usr/lib/kodi/addons/visualization.*/*.vis
	-chmod -x $(CURDIR)/debian/tmp/usr/lib/kodi/addons/screensaver.rsxs.*/*.xbs

override_dh_shlibdeps: debian/tmp/kodi-bin-depends-dummy.so debian/tmp/kodi-bin-recommends-dummy.so
	dh_shlibdeps -a -O--parallel \
		-l$(CURDIR)/debian/kodi-bin/usr/lib/kodi/system/players/dvdplayer
	# Need to manually add dependencies for dlopened libs.
	dpkg-shlibdeps -pdlopenlibs -edebian/tmp/kodi-bin-depends-dummy.so -xlibc6 -O >>debian/kodi-bin.substvars
	dpkg-shlibdeps -dRecommends -edebian/tmp/kodi-bin-recommends-dummy.so -xlibc6 -O >>debian/kodi-bin.substvars

debian/tmp/kodi-bin-depends-dummy.so:
	mkdir -p debian/tmp
	cc -xc -shared -Wl,--no-as-needed -o $@ /dev/null \
		-lcurl-gnutls

debian/tmp/kodi-bin-recommends-dummy.so:
	mkdir -p debian/tmp
	cc -xc -shared -Wl,--no-as-needed -o $@ /dev/null \
		-lass \
		-lbluray \
		-lcec \
		-lFLAC \
		-lhdhomerun \
		-lmad \
		-lmodplug \
		-lmp3lame \
		-lmpeg2 \
		-lnfs \
		-logg \
		-lplist \
		-lrtmp \
		-lvorbis \
		-lvorbisenc \
		-lvorbisfile \
		$(ARCH_SPECIFIC_LIB_RECOMMENDS)

override_dh_strip:
	dh_strip --dbg-package=kodi-dbg

override_dh_installinit:
	echo "Shipping systemd kodi.service file as an example only"

=== debian/watch ===
version=3
opts=repacksuffix=+dfsg1,uversionmangle=s/-.*$//,dversionmangle=s/[-.+~]?(git|snapshot|repack|dfsg)(.*)$//i,pasv \
https://github.com/xbmc/xbmc/tags .*archive/?(\d\S*)-[A-Z].*\.tar\.gz

## kodi 15.2~rc3+dfsg1

=== debian/changelog ===
kodi (15.2~rc3+dfsg1-1~bpo8+1) jessie-backports; urgency=medium

  * Skip handling migration to automatic debug packages when it is not supported by debhelper
  * Rebuild for jessie-backports.

 -- Balint Reczey <balint@balintreczey.hu>  Mon, 19 Oct 2015 22:12:41 +0200

kodi (15.2~rc3+dfsg1-1) unstable; urgency=medium

  * New upstream release candidate 15.2 RC3
    See http://kodi.tv/kodi-15-2-isengard-release-candidate-3

 -- Balint Reczey <balint@balintreczey.hu>  Tue, 06 Oct 2015 12:06:19 +0200

kodi (15.2~rc1+dfsg1-2) unstable; urgency=medium

  * Make Breaks/Replaces relation to xbmc packages versioned.
    This lets dummy transition-only xbmc packages coexist with kodi.
    Also remove Provides/Replaces relations remaining from xbmc packaging.
    (Closes: #799823)
  * Split architecture-indepedent data to kodi-data.
    Only the kodi and kodi-standalone binaries are kept in kodi package which is
    now Architecture:any since it contains the architecture-specific path to
    kodi.bin. (Closes: #799979)

 -- Balint Reczey <balint@balintreczey.hu>  Sat, 26 Sep 2015 15:13:36 +0200

kodi (15.2~rc1+dfsg1-1) unstable; urgency=medium

  [ Balint Reczey ]
  * Really fix s390x build
  * Call ./configure through dh_auto_configure
  * Convert to package to use multiarch library dirs
  * Stop shipping kodi-dbg and disable debugging during build.
    This is a preparation for the automatically generated debug packages
    and switching to FFmpeg resulted less reported crashes to BTS.
    Kodi-dbg packages used quite a big space on mirrors and weren't used
    frequently.
  * Make kodi-addons-dev Replaces/Breaks: kodi-bin (<= 15.1+dfsg1-3)
    This is needed to manage moving .cmake files to to kodi-addons-dev.
  * Migrate from kodi-dbg to ddebs properly.
    Thanks to Mattia Rizzolo
  * Make kodi-addons-dev Architecture: any
  * Simplify debian/rules using exporting DH_OPTIONS
  * New upstream release candidate 15.2 RC1
    See http://kodi.tv/kodi-15-2-isengard-release-candidate-2/
  * Refresh patches

  [ Tobias Grimm ]
  * Fixed file name of patches/09-use-correct-ftgl.h
  * Install *.cmake files in kodi-addons-dev

  [ Mattia Rizzolo ]
  * debian/rules: correct use of `echo`

 -- Balint Reczey <balint@balintreczey.hu>  Mon, 21 Sep 2015 10:38:00 +0200

=== debian/control ===
--- 
+++ 
@@ -117,10 +117,37 @@
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/kodi.git
 
 Package: kodi
-Architecture: all
+Architecture: any
 Depends: kodi-bin (>= ${source:Version}),
          kodi-bin (<< ${source:Version}.1~),
-         mesa-utils,
+         kodi-data,
+         ${misc:Depends}
+Replaces: xbmc (<< 2:13.2+dfsg1-5~)
+Breaks: xbmc (<< 2:13.2+dfsg1-5~)
+Description: Open Source Home Theatre (executable binaries)
+ Kodi, formerly known as XBMC is an award winning free and
+ open source software media-player and entertainment hub for all your digital
+ media. Kodi is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
+ and Microsoft Windows, as well as the original Xbox game console. Created in
+ 2003 by a group of like minded programmers, Kodi is a non-profit project run
+ and developed by volunteers located around the world. More than 50 software
+ developers have contributed to Kodi, and 100-plus translators have worked to
+ expand its reach, making it available in more than 30 languages.
+ .
+ While Kodi functions very well as a standard media player application for
+ your computer, it has been designed to be the perfect companion for your
+ HTPC. Supporting an almost endless range of remote controls, and combined
+ with its beautiful interface and powerful skinning engine, Kodi feels very
+ natural to use from the couch and is the ideal solution for your home
+ theater. Once installed, your computer will become a fully functional
+ multimedia jukebox.
+ .
+ This package contains the kodi binaries.
+
+Package: kodi-data
+Architecture: all
+Multi-Arch: foreign
+Depends: mesa-utils,
          x11-utils,
          fonts-dejavu-core,
          fonts-roboto,
@@ -129,9 +156,8 @@
          python-imaging,
          ${python:Depends},
          ${misc:Depends}
-Provides: xbmc, xbmc-standalone, xbmc-data, xbmc-skin-confluence, xbmc-live
-Replaces: xbmc, xbmc-standalone, xbmc-data, xbmc-skin-confluence, xbmc-live
-Breaks: xbmc, xbmc-standalone, xbmc-data, xbmc-skin-confluence
+Replaces: xbmc (<< 2:13.2+dfsg1-5~), kodi (<< 15.2~rc1+dfsg1-2~)
+Breaks: xbmc (<< 2:13.2+dfsg1-5~), kodi (<< 15.2~rc1+dfsg1-2~)
 Description: Open Source Home Theatre (arch-independent data package)
  Kodi, formerly known as XBMC is an award winning free and
  open source software media-player and entertainment hub for all your digital
@@ -155,14 +181,16 @@
 
 Package: kodi-bin
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
          ${dlopenlibs:Depends},
          ${misc:Depends}
 Recommends: ${shlibs:Recommends}, udisks2
-Provides: xbmc-bin, xbmc-common
-Replaces: xbmc-bin, xbmc-common
-Conflicts: xbmc-bin, xbmc-common, libgl1-mesa-swx11
-Description: Open Source Home Theatre (binary data package)
+Replaces: xbmc-bin (<< 2:13.2+dfsg1-5~)
+Breaks: xbmc-bin (<< 2:13.2+dfsg1-5~)
+Conflicts: libgl1-mesa-swx11
+Description: Open Source Home Theatre (architecture-dependent files)
  Kodi, formerly known as XBMC is an award winning free and
  open source software media-player and entertainment hub for all your digital
  media. Kodi is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
@@ -181,35 +209,10 @@
  multimedia jukebox.
  .
  This package contains all the binary data needed to have a working Kodi.
-
-Package: kodi-dbg
-Priority: extra
-Architecture: amd64 i386
-Section: debug
-Depends: ${misc:Depends}, kodi-bin (= ${binary:Version})
-Description: Open Source Home Theatre - debug symbols
- Kodi, formerly known as XBMC is an award winning free and
- open source software media-player and entertainment hub for all your digital
- media. Kodi is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
- and Microsoft Windows, as well as the original Xbox game console. Created in
- 2003 by a group of like minded programmers, Kodi is a non-profit project run
- and developed by volunteers located around the world. More than 50 software
- developers have contributed to Kodi, and 100-plus translators have worked to
- expand its reach, making it available in more than 30 languages.
- .
- While Kodi functions very well as a standard media player application for
- your computer, it has been designed to be the perfect companion for your
- HTPC. Supporting an almost endless range of remote controls, and combined
- with its beautiful interface and powerful skinning engine, Kodi feels very
- natural to use from the couch and is the ideal solution for your home
- theater. Once installed, your computer will become a fully functional
- multimedia jukebox.
- .
- This package contains debug symbols for the Kodi binary packages.
-
 
 Package: kodi-eventclients-common
 Architecture: all
+Multi-Arch: foreign
 Depends: ${python:Depends}, ${misc:Depends}
 Description: Open Source Home Theatre (Event Client Common package)
  Kodi, formerly known as XBMC is an award winning free and
@@ -233,6 +236,7 @@
 
 Package: kodi-eventclients-dev
 Architecture: all
+Multi-Arch: foreign
 Section: libdevel
 Depends: kodi-eventclients-common (= ${binary:Version}),
          ${misc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,9 @@
 #!/usr/bin/make -f
 
-# These are used for cross-compiling and for saving the configure script
-# from having to guess our platform (since we know it already)
-DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
-DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
-DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
+# This has to be exported to make some magic below work.
+export DH_OPTIONS
+
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 GL_CONFIG_OPTIONS = --enable-gl --disable-gles --enable-vdpau
 ARCH_SPECIFIC_LIB_RECOMMENDS_ADD = -lvdpau
@@ -25,26 +24,17 @@
 ARCH_SPECIFIC_LIB_RECOMMENDS += $(ARCH_SPECIFIC_LIB_RECOMMENDS_ADD)
 
 # Various environment variables to set
-DEB_CFLAGS ?=  $(shell dpkg-buildflags --get CPPFLAGS) \
-  $(filter-out -g -O2, $(shell dpkg-buildflags --get CFLAGS))
-DEB_CXXFLAGS ?= $(shell dpkg-buildflags --get CPPFLAGS) \
-  $(filter-out -g -O2, $(shell dpkg-buildflags --get CXXFLAGS))
-DEB_LDFLAGS ?= $(shell dpkg-buildflags --get LDFLAGS) $(shell pkg-config --libs ftgl) -latomic
-ENV_OPTIONS = CFLAGS="$(DEB_CFLAGS)" CXXFLAGS="$(DEB_CXXFLAGS)" \
-  LDFLAGS="$(DEB_LDFLAGS)"
+export DEB_LDFLAGS_MAINT_APPEND = $(shell pkg-config --libs ftgl) -latomic
 
 # fall back to old location of libhdhomerun includes if needed
 ifneq ("$(wildcard /usr/lib/libhdhomerun/hdhomerun.h)","")
-  DEB_CXXFLAGS += -I/usr/lib/
+export DEB_CXXFLAGS_MAINT_APPEND = -I/usr/lib/
 endif
 
 # List of options to pass to configure. Can be overridden.
 # Extra options can simply be passed using KODI_CONFIG_EXTRA_OPTIONS env
 # variable.
 KODI_CONFIG_OPTIONS ?= --host=$(DEB_HOST_GNU_TYPE) \
-  --build=$(DEB_BUILD_GNU_TYPE) \
-  --prefix=/usr --docdir=/usr/share/doc/kodi \
-  --enable-debug \
   $(GL_CONFIG_OPTIONS) \
   --disable-vtbdecoder \
   --disable-openmax \
@@ -68,8 +58,7 @@
   --disable-non-free \
   --disable-gtest \
   $(ARCH_SPECIFIC_OPTIONS) \
-  $(KODI_CONFIG_EXTRA_OPTIONS) \
-  $(ENV_OPTIONS)
+  $(KODI_CONFIG_EXTRA_OPTIONS)
 
 # Used to show what config options are enabled
 show-kodi-config-options:
@@ -103,12 +92,14 @@
 		$(DEJAVUSANS) \
 		$(CURDIR)/media/Fonts/arial.ttf
 	./bootstrap
-	./configure $(KODI_CONFIG_OPTIONS)
+	dh_auto_configure -- $(KODI_CONFIG_OPTIONS)
 	# Add "from Debian" next to Kodi's original logo
 	inkscape -z --export-png=addons/skin.confluence/media/from-debian-logo.png debian/from-debian-logo.svg
 
 override_dh_auto_install:
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
+	install -m 755 $(CURDIR)/tools/depends/native/TexturePacker/bin/TexturePacker \
+		$(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/kodi/
 	$(MAKE) eventclients DESTDIR=$(CURDIR)/debian/tmp \
 		WII_EXTRA_OPTS=-DCWIID_OLD
 
@@ -123,12 +114,12 @@
 	# We don't install shared libraries in standard locations so don't run
 	# dh_makeshlibs
 	# OTOH we need to remove exec flag after dh_strip
-	chmod -x $(CURDIR)/debian/tmp/usr/lib/kodi/addons/visualization.*/*.vis
-	-chmod -x $(CURDIR)/debian/tmp/usr/lib/kodi/addons/screensaver.rsxs.*/*.xbs
+	chmod -x $(CURDIR)/debian/tmp/usr/lib/*/kodi/addons/visualization.*/*.vis
+	-chmod -x $(CURDIR)/debian/tmp/usr/lib/*/kodi/addons/screensaver.rsxs.*/*.xbs
 
 override_dh_shlibdeps: debian/tmp/kodi-bin-depends-dummy.so debian/tmp/kodi-bin-recommends-dummy.so
 	dh_shlibdeps -a -O--parallel \
-		-l$(CURDIR)/debian/kodi-bin/usr/lib/kodi/system/players/dvdplayer
+		-l$(CURDIR)/debian/kodi-bin/usr/lib/*/kodi/system/players/dvdplayer
 	# Need to manually add dependencies for dlopened libs.
 	dpkg-shlibdeps -pdlopenlibs -edebian/tmp/kodi-bin-depends-dummy.so -xlibc6 -O >>debian/kodi-bin.substvars
 	dpkg-shlibdeps -dRecommends -edebian/tmp/kodi-bin-recommends-dummy.so -xlibc6 -O >>debian/kodi-bin.substvars
@@ -160,7 +151,7 @@
 		$(ARCH_SPECIFIC_LIB_RECOMMENDS)
 
 override_dh_strip:
-	dh_strip --dbg-package=kodi-dbg
+	dh_strip --ddeb-migration="kodi-dbg (<< 15.1+dfsg1-4~)" || dh_strip
 
 override_dh_installinit:
-	echo "Shipping systemd kodi.service file as an example only"
+	@echo "Shipping systemd kodi.service file as an example only"

## kodi 15.2%2Bdfsg1

=== debian/changelog ===
kodi (15.2+dfsg1-3ubuntu1.1) xenial-security; urgency=high

  * Fix zip file directory traversal vulnerability (CVE-2017-8314)
    (Closes: #863230, LP: #1694249)
  * Add test for CVE-2017-8314 to autotools-based build

 -- Balint Reczey <rbalint@ubuntu.com>  Mon, 29 May 2017 16:58:26 +0200

kodi (15.2+dfsg1-3ubuntu1) xenial; urgency=medium

  * Rebuild against libmysqlclient20.
  * d/p/std_isnan: fix isnan FTBFS.

 -- Robie Basak <robie.basak@ubuntu.com>  Fri, 15 Apr 2016 16:39:00 +0000

kodi (15.2+dfsg1-3) unstable; urgency=medium

  * Disable PIE due to build failure on amd64

 -- Balint Reczey <balint@balintreczey.hu>  Mon, 25 Jan 2016 10:35:02 +0100

kodi (15.2+dfsg1-2) unstable; urgency=medium

  * Fix 03-privacy.patch to disable rss feed
  * Disable debugging by default (Closes: #777041)
  * Build-depend on fonts-droid-fallback instead of obsoleted fonts-droid
    (Closes: #804695)
  * Enable all hardening options during build
  * Migrate to libpng-dev build-dependency (Closes: #810186)

 -- Balint Reczey <balint@balintreczey.hu>  Sun, 24 Jan 2016 10:55:08 +0100

kodi (15.2+dfsg1-1) unstable; urgency=medium

  [ Balint Reczey ]
  * Skip handling migration to automatic debug packages when it is not supported by debhelper
  * Update debian/watch to not skip part of oddly named versions
  * New upstream release 15.2
    See http://kodi.tv/kodi-15-2-isengard-final-release/

  [ Andreas Cadhalpun ]
  * Fix FTBFS with upcoming FFmpeg 2.9 release (Closes: #803831)

 -- Balint Reczey <balint@balintreczey.hu>  Fri, 06 Nov 2015 18:42:22 +0400
